﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="_RadGridDefaultInit.aspx.cs" Inherits="_RadGridDefault" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
    </style>

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1"></telerik:RadScriptManager>

        <telerik:RadScriptBlock runat="server" ID="RadCodeBlock1">
            <script type="text/javascript">

                function onClick(rowIndex) {
                    var grid = $find("<%= RadGrid1.ClientID %>");
                    var masterTableView = grid.get_masterTableView();
                    var clickedRow = masterTableView.get_dataItems()[rowIndex];

                    clickedRow.set_selected(true);

                    var clickedRowElement = clickedRow.get_element();
                    var id = clickedRowElement.cells[1].innerHTML;

                    if (!confirm('Do you want to delete the item with ID : ' + id + '?')) {
                        return false;
                    }

                    return true;
                }
            </script>
        </telerik:RadScriptBlock>


        <telerik:RadGrid runat="server" ID="RadGrid1"
            OnNeedDataSource="RadGrid1_NeedDataSource"
            AutoGenerateColumns="false"
            AllowPaging="true" PageSize="10"
            OnItemDataBound="RadGrid1_ItemDataBound">

            <ClientSettings>
                <Selecting AllowRowSelect="true" />
            </ClientSettings>

            <MasterTableView CommandItemDisplay="Top" DataKeyNames="ID">

                <Columns>

                    <telerik:GridButtonColumn ButtonType="ImageButton" CommandName="Delete" Text="Delete" UniqueName="DeleteColumn">
                    </telerik:GridButtonColumn>

                    <telerik:GridBoundColumn DataField="ID" HeaderText="ID" UniqueName="ID" ReadOnly="true" InsertVisiblityMode="AlwaysVisible">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Name" HeaderText="Name" UniqueName="Name">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Description" HeaderText="Description" UniqueName="Description">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>

    </form>
</body>
</html>
