﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _RadGridDefault : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable data = new DataTable();

        data.Columns.Add("ID", typeof(int));
        data.Columns.Add("Name");
        data.Columns.Add("Description");

        for (int i = 1; i < 31; i++)
        {
            data.Rows.Add(i, "Name" + (i % 5).ToString(), "Description" + i.ToString());
        }

        RadGrid1.DataSource = data;
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem item = (GridDataItem)e.Item;
            ImageButton imgbtn = (ImageButton)item["DeleteColumn"].Controls[0];
            imgbtn.Attributes.Add("onclick", "return onClick('" + item.ItemIndex + "');");
        }
    }
}